Subject: Re: bug#12314: 24.2.50; `add-to-history': use `setq' with `delete'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Sep 2012 05:51:14 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 08 Sep 2012 19:11:50 -0400
> 
> >> > Why is it even necessary to talk about destructive modifications, if
> >> > we are to advise to assign the result anyway?
> >> Not sure I understand the question.  It is because these operations can be
> >> destructive of list structure that we advise that.
> > If you need to forget about the old value and assign the new one
> > returned by 'delete', why does it matter that the modification was
> > destructive?
> 
> Because it avoids memory allocation.  I.e. 99% of the uses of
> delete/delq/nconc are simple optimizations.

I meant "why does it matter FOR THE USER that the modification was
destructive?"  Users don't care about optimizations, they only care
about performance.